import { JupyterFrontEnd } from '@jupyterlab/application';
import { WidgetTracker } from '@jupyterlab/apputils';
import { FileBrowser } from '@jupyterlab/filebrowser';
import { ISettingRegistry } from '@jupyterlab/settingregistry';
import { ContextMenuSvg } from '@jupyterlab/ui-components';
import { CommandRegistry } from '@lumino/commands';
import { Menu } from '@lumino/widgets';
import { GitExtension } from './model';
import { ContextCommandIDs, Git, IGitExtension } from './tokens';
interface IFileDiffArgument {
    context?: Git.Diff.IContext;
    filePath: string;
    isText: boolean;
    status?: Git.Status;
}
export declare namespace CommandArguments {
    interface IGitFileDiff {
        files: IFileDiffArgument[];
    }
    interface IGitContextAction {
        files: Git.IStatusFile[];
    }
}
/**
 * Add the commands for the git extension.
 */
export declare function addCommands(app: JupyterFrontEnd, gitModel: GitExtension, fileBrowser: FileBrowser, settings: ISettingRegistry.ISettings): void;
/**
 * Adds commands and menu items.
 *
 * @param commands - Jupyter App commands registry
 * @returns menu
 */
export declare function createGitMenu(commands: CommandRegistry): Menu;
export declare function addMenuItems(commands: ContextCommandIDs[], contextMenu: Menu, selectedFiles: Git.IStatusFile[]): void;
/**
 * Add Git context (sub)menu to the file browser context menu.
 */
export declare function addFileBrowserContextMenu(model: IGitExtension, tracker: WidgetTracker<FileBrowser>, commands: CommandRegistry, contextMenu: ContextMenuSvg): void;
export {};
